Version 4.0.26.22 (latest)

### Email/password login information for the specified user.

Calls to this endpoint may be denied by [Looker (Google Cloud core)](https://docs.cloud.google.com/looker/docs/r/looker-core/overview).

## Request

POST /users/{user_id}/credentials_email Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... user_id string Id of user body HTTP Body Expand HTTP Body definition... body [CredentialsEmail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsEmail) Email/Password Credential Expand CredentialsEmail definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential email string EMail address used for user login forced_password_reset_at_next_login boolean Force the user to change their password upon their next login user_id string Unique Id of the user is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential password_reset_url string Url with one-time use secret token that the user can use to reset password account_setup_url string Url with one-time use secret token that the user can use to setup account password_reset_url_expired boolean Is password_reset_url expired or not present? account_setup_url_expired boolean Is account_setup_url expired or not present? type string Short name for the type of this kind of credential url string Link to get this item user_url string Link to get this user query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: Email/Password Credential

Datatype Description (object) [CredentialsEmail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsEmail) can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential email string EMail address used for user login forced_password_reset_at_next_login boolean Force the user to change their password upon their next login user_id string Unique Id of the user is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential password_reset_url string Url with one-time use secret token that the user can use to reset password account_setup_url string Url with one-time use secret token that the user can use to setup account password_reset_url_expired boolean Is password_reset_url expired or not present? account_setup_url_expired boolean Is account_setup_url expired or not present? type string Short name for the type of this kind of credential url string Link to get this item user_url string Link to get this user

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 403: Permission Denied

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 409: Resource Already Exists

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Python


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-user-provision/main.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-user-provision/main.py#L106 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-user-provision/main.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L77 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L136 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |

### TypeScript


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L186 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L497 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L177 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L467 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |